Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class PutPatientConsentRequest

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.PutPatientConsentRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:27:14+02:00",
               comments="JAXB RI v2.2.11")
    public class PutPatientConsentRequest

extends Object
implements Serializable

Java class for PutPatientConsentRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PutPatientConsentRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
             <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ConsentType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PutPatientConsentRequest()`

Method Summary
`ConsentType` | `getConsent()` Gets the value of the consent property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setConsent(ConsentType value)` Sets the value of the consent property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutPatientConsentRequest

    public PutPatientConsentRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getConsent

    public ConsentType getConsent()

  Gets the value of the consent property.

  Returns:
    possible object is `ConsentType`

### setConsent

    public void setConsent(ConsentType value)

  Sets the value of the consent property.

  Parameters:
    `value` - allowed object is `ConsentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.